
Danamon - Production Support - Feature #13

CR - Customer Personal Data & Subscription Data Upload (Unilever)

12/19/2025 08:40 AM - Andi Malik Rizki Maula

Status: New Start date: 12/19/2025

Priority: Normal Due date:  

Assignee: anang ahmadi % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

History

#1 - 12/19/2025 08:55 AM - nurangky augustine

- File VO-BDI-Customer Data Import_object_v1.2.docx added

#2 - 12/19/2025 08:58 AM - nurangky augustine

- File Template create customer Unilever v1 JATIS.xlsx added

#3 - 12/19/2025 09:02 AM - Andi Malik Rizki Maula

- File cr-unilever-v20251219-001-6c96f21.zip added

#4 - 12/19/2025 09:08 AM - nurangky augustine

- File Template_trx_ut_transactions_v1.0 JATIS.xlsx added

#5 - 12/19/2025 09:25 AM - nurangky augustine

- File Test Script Upload.xlsx added

#6 - 12/19/2025 09:59 AM - nurangky augustine

- File Test Script Upload.xlsx added

#7 - 12/19/2025 10:00 AM - nurangky augustine

- File deleted (Test Script Upload.xlsx)

#8 - 12/20/2025 12:45 PM - nurangky augustine

- File Upload Data Customer.xlsx added

- File Upload 1000 Transaction Subs 1.xlsx added

- File Upload 1000 Transaction Subs 2.xlsx added

#9 - 12/22/2025 03:45 AM - anggito tantyo

- File Template create customer Unilever v1 JATIS EDITED.xlsx added

#10 - 12/22/2025 03:59 AM - anggito tantyo

- File Template create customer Unilever v1 JATIS EDITED (1).xlsx added

#11 - 12/22/2025 04:00 AM - kevin krisandi

- File Template create customer Unilever v1 JATIS EDITED_.xlsx added

#12 - 12/22/2025 05:30 AM - Andi Malik Rizki Maula

- File cr-unilever-v20251222-001-27f6317.zip added

#13 - 12/22/2025 05:32 AM - Andi Malik Rizki Maula

- Private changed from No to Yes
#14 - 12/22/2025 05:32 AM - Andi Malik Rizki Maula

- Private changed from Yes to No

#15 - 12/22/2025 06:19 AM - anggito tantyo

- File Template create customer Unilever v1 JATIS EDITED 2.xlsx added

#16 - 12/22/2025 06:45 AM - kevin krisandi

- File Template create customer Unilever v1 JATIS EDITED 2_.xlsx added

#17 - 12/22/2025 08:30 AM - Andi Malik Rizki Maula

- File cr-unilever-v20251222-002-e3a7871.zip added

#18 - 12/22/2025 08:41 AM - Andi Malik Rizki Maula

- File deleted (cr-unilever-v20251222-002-e3a7871.zip)

#19 - 12/22/2025 08:41 AM - Andi Malik Rizki Maula

- File deleted (cr-unilever-v20251222-001-27f6317.zip)

#20 - 12/22/2025 10:39 AM - anggito tantyo

- File MST_TRX_SUMMARY.xlsx added

#21 - 12/22/2025 11:26 AM - Andi Malik Rizki Maula

- File cr-unilever-v20251222-001-ec5e961.zip added

Version:

cr-unilever/v20251222-001-ec5e961

Scripts:

[ddl] scripts/ddl-dml/01_ddl_table_changes.sql

[dml] scripts/ddl-dml/02_dml_modules.sql

Objects:

objects/avt/avantrade-web-sellingagent.zip

Notes:

DDL for FILE_UPLOAD_ID column in TRX_CUSTOMER_PERSONAL_UPLOAD_DETAILS table.

DML for MST_TRX_SUMMARY FILE_LOCATION update.

Fixed logic for setting questionnaire_id, question_id, and answer_id.

Fixed DOB spouse validation.

#22 - 12/29/2025 02:50 AM - aron nigel

- File Upload Data Customer (2).xlsx added

- File 583.docx added

#23 - 12/29/2025 06:08 AM - Andi Malik Rizki Maula

- File cr-unilever-v20251229-001-972cf91.zip added

Version:

cr-unilever/uat-prod/v20251229-001-972cf91

Objects:

objects/avt/avantrade-web-sellingagent.zip

Notes:

CIF number validation fixes.
#24 - 12/29/2025 11:33 AM - Andi Malik Rizki Maula

- File cr-unilever-v20251229-002-64ff20a.zip added

Version:

cr-unilever/v20251229-002-64ff20a

Objects:

objects/avt/avantrade-web-sellingagent.zip

objects/avt/birt.zip

Notes:

CIF number validation fixes.

Take out generated investment account from CIF upload in SID registration report.

#25 - 01/06/2026 10:04 AM - Andi Malik Rizki Maula

- File cr-unilever-v20260106-001-048bc4c.zip added

Version:

cr-unilever/v20260106-001-048bc4c

Objects:

objects/avt/avantrade-web-sellingagent.zip

Notes:

FSIDMMA-588: Added e-mail address format validation.

FSIDMMA-589: Added province code format validation and data existence in DB.

#26 - 01/07/2026 09:44 AM - Andi Malik Rizki Maula

- File cr-unilever-v20260107-001-bd6e061.zip added

Version:

cr-unilever/v20260107-001-bd6e061

Objects:

objects/avt/avantrade-web-sellingagent.zip

Notes:

FSIDMMA-586: Fixed null uploaded subscription order unit causing booking list report error.

FSIDMMA-590: Fixed account management approval error.

#27 - 01/08/2026 10:25 AM - Andi Malik Rizki Maula

- File cr-unilever-v20260108-001-935dbde.zip added

Version:

cr-unilever/v20260108-001-935dbde

Objects:

objects/avt/avantrade-web-sellingagent.zip

Notes:

FSIDMMA-591: Added CIF_BANK and Customer CIF equality validation.

#28 - 01/09/2026 08:11 AM - Andi Malik Rizki Maula

- File cr-unilever-v20260109-001-38b39b1.zip added

Versions:
cr-unilever/v20260109-001-38b39b1

Objects:

avt/avantrade-web-sellingagent.zip

Release Note:

FSIDMMA-592: Fixed TRX_AMOUNT validation error due to scientific notation format.

#29 - 01/09/2026 12:07 PM - Andi Malik Rizki Maula

- File cr-unilever-v20260109-003-1087768.zip added

Versions:

cr-unilever/v20260109-003-1087768

Objects:

avt/avantrade-web-sellingagent.zip

Release Note:

FSIDMMA-594: Fixed FEE_AMOUNT validation error caused by empty value.

#30 - 01/09/2026 01:22 PM - Andi Malik Rizki Maula

- File cr-unilever-v20260109-004-068b51d.zip added

Versions:

cr-unilever/v20260109-004-068b51d

Objects:

avt/avantrade-web-sellingagent.zip

Release Note:

FSIDMMA-594: Fixed FEE_AMOUNT validation error caused by empty value.

#31 - 01/14/2026 10:46 AM - Andi Malik Rizki Maula

- File cr-unilever-full-20260114-001.zip added

Go Live

Versions:

avantrade-web-sellingagent: cr-unilever/v20260109-004-068b51d

birt: cr-unilever/v20251229-002-64ff20a

Objects:

avt/avantrade-web-sellingagent.zip

avt/birt.zip

Scripts:

avt/ddl-dml/00_ddl_backup.sql

avt/ddl-dml/01_ddl_table_changes.sql

avt/ddl-dml/02_dml_modules.sql

avt/dql/dql_export_cif_stg_new.sql

avt/dql/dql_export_second_ifua.sql

Documents:

CR Upload Unilever - Release Document v0.1.0-DRAFT.xlsx

Release Note:

CR Unilever customer personal data & subscription data upload features.
#32 - 01/19/2026 07:35 AM - Andi Malik Rizki Maula

- File cr-unilever-full-20260119-001.zip added

Go Live

Versions:

avantrade-web-sellingagent: cr-unilever/v20260109-004-068b51d

birt: cr-unilever/v20251229-002-64ff20a

Objects:

avt/avantrade-web-sellingagent.zip

avt/birt.zip

Scripts:

avt/ddl-dml/00_ddl_backup.sql

avt/ddl-dml/01_ddl_table_changes.sql

avt/ddl-dml/02_dml_modules.sql

avt/ddl-dml/99_ddl_rollback.sql

avt/ddl-dml/99_dml_rollback.sql

avt/dql/dql_export_cif_stg_new.sql

avt/dql/dql_export_second_ifua.sql

Documents:

CR Upload Unilever - Release Document v0.1.1-DRAFT.xlsx

Release Note:

CR Unilever customer personal data & subscription data upload features.

#33 - 01/28/2026 04:04 AM - Aji Wibowo

- File patch_invacc_pledgestatus_yes_trxtype25_partialredm_exclude_one_product.sql added

Files

VO-BDI-Customer Data Import_object_v1.2.docx 1.7 MB 12/19/2025 nurangky augustine

Template create customer Unilever v1 JATIS.xlsx 17.9 KB 12/19/2025 nurangky augustine

cr-unilever-v20251219-001-6c96f21.zip 126 MB 12/19/2025 Andi Malik Rizki Maula

Template_trx_ut_transactions_v1.0 JATIS.xlsx 11.5 KB 12/19/2025 nurangky augustine

Test Script Upload.xlsx 77.9 KB 12/19/2025 nurangky augustine

Upload Data Customer.xlsx 169 KB 12/20/2025 nurangky augustine

Upload 1000 Transaction Subs 1.xlsx 2.4 MB 12/20/2025 nurangky augustine

Upload 1000 Transaction Subs 2.xlsx 2.4 MB 12/20/2025 nurangky augustine

Template create customer Unilever v1 JATIS EDITED.xlsx 13.2 KB 12/22/2025 anggito tantyo

Template create customer Unilever v1 JATIS EDITED (1).xlsx 13.2 KB 12/22/2025 anggito tantyo

Template create customer Unilever v1 JATIS EDITED_.xlsx 13.2 KB 12/22/2025 kevin krisandi

Template create customer Unilever v1 JATIS EDITED 2.xlsx 13.2 KB 12/22/2025 anggito tantyo

Template create customer Unilever v1 JATIS EDITED 2_.xlsx 13.2 KB 12/22/2025 kevin krisandi

MST_TRX_SUMMARY.xlsx 30 KB 12/22/2025 anggito tantyo

cr-unilever-v20251222-001-ec5e961.zip 126 MB 12/22/2025 Andi Malik Rizki Maula

Upload Data Customer (2).xlsx 202 KB 12/29/2025 aron nigel

583.docx 952 KB 12/29/2025 aron nigel

cr-unilever-v20251229-001-972cf91.zip 126 MB 12/29/2025 Andi Malik Rizki Maula

cr-unilever-v20251229-002-64ff20a.zip 216 MB 12/29/2025 Andi Malik Rizki Maula

cr-unilever-v20260106-001-048bc4c.zip 126 MB 01/06/2026 Andi Malik Rizki Maula

cr-unilever-v20260107-001-bd6e061.zip 126 MB 01/07/2026 Andi Malik Rizki Maula

cr-unilever-v20260108-001-935dbde.zip 126 MB 01/08/2026 Andi Malik Rizki Maula

cr-unilever-v20260109-001-38b39b1.zip 126 MB 01/09/2026 Andi Malik Rizki Maula

cr-unilever-v20260109-003-1087768.zip 126 MB 01/09/2026 Andi Malik Rizki Maula

cr-unilever-v20260109-004-068b51d.zip 126 MB 01/09/2026 Andi Malik Rizki Maula
cr-unilever-full-20260114-001.zip 216 MB 01/14/2026 Andi Malik Rizki Maula

cr-unilever-full-20260119-001.zip 216 MB 01/19/2026 Andi Malik Rizki Maula

patch_invacc_pledgestatus_yes_trxtype25_partialredm_exclude_one_product.sql2.95 KB 01/28/2026 Aji Wibowo
